org.jfree.report.flow

## Interface ReportStructureRoot

- All Known Implementing Classes:
    JFreeReport

      public interface ReportStructureRoot

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getBaseResource()`
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()`
    `ReportDataFactory` | `getDataFactory()`
    `ReportParameters` | `getInputParameters()`
    `java.util.Locale` | `getLocale()`
    `org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager()`

- - ### Method Detail

    - #### getDataFactory

          ReportDataFactory getDataFactory()

    - #### getInputParameters

          ReportParameters getInputParameters()

    - #### getConfiguration

          org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

    - #### getLocale

          java.util.Locale getLocale()

    - #### getResourceManager

          org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager()

    - #### getBaseResource

          org.pentaho.reporting.libraries.resourceloader.ResourceKey getBaseResource()